#! /usr/bin/make -f

export PYBUILD_NAME=sqlmodel
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	echo "pass"

override_dh_auto_test:
	# test_create_db_and_table: converage cant find docs_src so this test fails
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR) {interpreter} -m pytest -k 'not test_create_db_and_table' " dh_auto_test
